Skip to content
Start here

List abuse report mitigations

client.abuseReports.mitigations.list(stringreportId, MitigationListParams { account_id, effective_after, effective_before, 6 more } params, RequestOptionsoptions?): V4PagePagination<MitigationListResponse { mitigations } >
GET/accounts/{account_id}/abuse-reports/{report_id}/mitigations

List mitigations done to remediate the abuse report.

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Trust and Safety WriteTrust and Safety Read
ParametersExpand Collapse
reportId: string
params: MitigationListParams { account_id, effective_after, effective_before, 6 more }
account_id: string

Path param: Cloudflare Account ID

maxLength32
effective_after?: string

Query param: Returns mitigation that were dispatched after the given date

effective_before?: string

Query param: Returns mitigations that were dispatched before the given date

entity_type?: "url_pattern" | "account" | "zone"

Query param: Filter by the type of entity the mitigation impacts.

One of the following:
"url_pattern"
"account"
"zone"
page?: number

Query param: Where in pagination to start listing abuse reports

per_page?: number

Query param: How many abuse reports per page to list

sort?: "type,asc" | "type,desc" | "effective_date,asc" | 5 more

Query param: A property to sort by, followed by the order

One of the following:
"type,asc"
"type,desc"
"effective_date,asc"
"effective_date,desc"
"status,asc"
"status,desc"
"entity_type,asc"
"entity_type,desc"
status?: "pending" | "active" | "in_review" | 2 more

Query param: Filter by the status of the mitigation.

One of the following:
"pending"
"active"
"in_review"
"cancelled"
"removed"
type?: "legal_block" | "misleading_interstitial" | "phishing_interstitial" | 4 more

Query param: Filter by the type of mitigation. This filter parameter can be specified multiple times to include multiple types of mitigations in the result set, e.g. ?type=rate_limit_cache&type=legal_block.

One of the following:
"legal_block"
"misleading_interstitial"
"phishing_interstitial"
"network_block"
"rate_limit_cache"
"account_suspend"
"redirect_video_stream"
ReturnsExpand Collapse
MitigationListResponse { mitigations }
mitigations: Array<Mitigation>
id: string

ID of remediation.

effective_date: string

Date when the mitigation will become active. Time in RFC 3339 format (https://www.rfc-editor.org/rfc/rfc3339.html)

entity_id: string
entity_type: "url_pattern" | "account" | "zone"
One of the following:
"url_pattern"
"account"
"zone"
status: "pending" | "active" | "in_review" | 2 more

The status of a mitigation

One of the following:
"pending"
"active"
"in_review"
"cancelled"
"removed"
type: "legal_block" | "misleading_interstitial" | "phishing_interstitial" | 4 more

The type of mitigation

One of the following:
"legal_block"
"misleading_interstitial"
"phishing_interstitial"
"network_block"
"rate_limit_cache"
"account_suspend"
"redirect_video_stream"

List abuse report mitigations

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const mitigationListResponse of client.abuseReports.mitigations.list('report_id', {
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
})) {
  console.log(mitigationListResponse.mitigations);
}
{
  "success": true,
  "errors": [
    {
      "message": "message"
    }
  ],
  "messages": [
    {
      "message": "message"
    }
  ],
  "result": {
    "mitigations": [
      {
        "id": "id",
        "effective_date": "2009-11-10T23:00:00Z",
        "entity_id": "entity_id",
        "entity_type": "url_pattern",
        "status": "pending",
        "type": "legal_block"
      }
    ]
  },
  "result_info": {
    "count": 0,
    "page": 0,
    "per_page": 0,
    "total_count": 0,
    "total_pages": 0
  }
}
Returns Examples
{
  "success": true,
  "errors": [
    {
      "message": "message"
    }
  ],
  "messages": [
    {
      "message": "message"
    }
  ],
  "result": {
    "mitigations": [
      {
        "id": "id",
        "effective_date": "2009-11-10T23:00:00Z",
        "entity_id": "entity_id",
        "entity_type": "url_pattern",
        "status": "pending",
        "type": "legal_block"
      }
    ]
  },
  "result_info": {
    "count": 0,
    "page": 0,
    "per_page": 0,
    "total_count": 0,
    "total_pages": 0
  }
}